<?php
require 'vendor/autoload.php';
use Jdcloud\Credentials\Credentials;
use Jdcloud\Result;
use Jdcloud\Sms\SmsClient;

function testSmsBatchSend()
{
    $sms = new SmsClient([
        'credentials' => new Credentials('AK', 'SK'),
        'version' => 'latest',
        'scheme' => 'https'
    ]);
 
 
    try{
        $res = $sms->batchSend([
            'regionId' => 'cn-north-1',
            'templateId' => '模板id',
            'signId' => '签名Id',
            'phoneList' => [
                '130000000000'
            ],
            'params' => [
                '短信模板变量对应的数据值'
            ]
        ]);
        print_r($res);
        print("Request Id: ". $res['requestId']. "\n");
        print_r($res['result']);
    }catch (\Jdcloud\Exception\JdcloudException $e) {
        print("Detail Message: " . $e->getMessage(). "\n");
        print("Request Id: ". $e->getJdcloudRequestId(). "\n");
        print("Error Type: ". $e->getJdcloudErrorType(). "\n");
        print("Error Code: " . $e->getJdcloudErrorCode(). "\n");
        print("Error Detail Status: ". $e->getJdcloudErrorStatus(). "\n");
        print("Error Detail Message: ". $e->getJdcloudErrorMessage(). "\n");
    }
}
$sms = testSmsBatchSend();
?>
